Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config
Class LegacyPropertiesConfigurationProvider

    java.lang.Object
      org.apache.struts2.config.LegacyPropertiesConfigurationProvider

All Implemented Interfaces:
  ConfigurationProvider

Direct Known Subclasses:
  DefaultPropertiesProvider

    public class LegacyPropertiesConfigurationProvider

extends Object
implements ConfigurationProvider

Constructor Summary
`LegacyPropertiesConfigurationProvider()`

Method Summary
`void` | `destroy()`
`void` | `init(Configuration configuration)`
`void` | `loadPackages()`
`protected void` | `loadSettings(LocatableProperties props, Settings settings)`
`boolean` | `needsReload()` Tells whether the ConfigurationProvider should reload its configuration
`void` | `register(ContainerBuilder builder, LocatableProperties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyPropertiesConfigurationProvider

    public LegacyPropertiesConfigurationProvider()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `ConfigurationProvider`

### init

    public void init(Configuration configuration)
              throws ConfigurationException

  Specified by:
    `init` in interface `ConfigurationProvider`
  Throws:
    `ConfigurationException`

### loadPackages

    public void loadPackages()
                      throws ConfigurationException

  Specified by:
    `loadPackages` in interface `ConfigurationProvider`
  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

  Description copied from interface: `ConfigurationProvider`
  Tells whether the ConfigurationProvider should reload its configuration

  Specified by:
    `needsReload` in interface `ConfigurationProvider`
  Returns:
    `true`, whether the ConfigurationProvider should reload its configuration, `false`otherwise.

### register

    public void register(ContainerBuilder builder,
                         LocatableProperties props)
                  throws ConfigurationException

  Specified by:
    `register` in interface `ConfigurationProvider`
  Throws:
    `ConfigurationException`

### loadSettings

    protected void loadSettings(LocatableProperties props,
                                Settings settings)

  Parameters:
    `props` -
    `settings` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.